package de.tudarmstadt.ke.sw.matching.wikimatch;

import java.net.URI;
import java.net.URISyntaxException;

import org.semanticweb.owl.align.Alignment;
import org.semanticweb.owl.align.AlignmentException;

/**
 * @author Sven Hertling
 * 
 */
public class Helper {
	public static boolean addAlignCell(Alignment align, String uriOne, String uriTwo, double confidence) throws AlignmentException {
		URI uri1, uri2;
        try {
            uri1 = new URI(uriOne);
            uri2 = new URI(uriTwo);
            align.addAlignCell(uri1, uri2, "=", confidence);
        } catch (URISyntaxException e) {
            System.out.println("URISyntaxException");
            return false;
        }
        return true;
    }
}
