package de.tudarmstadt.ke.sw.matching.wikimatch.matcher;

import com.hp.hpl.jena.ontology.OntResource;

/**
 * @author Sven Hertling
 * 
 */
public class ResourceMatcher {
	private static String language1;
	private static String language2;
	private static Resource ressource1;
	private static Resource ressource2;
	
	public static void setLanguage1(String lang){
		language1 = lang;
	}
	
	public static void setLanguage2(String lang){
		language2 = lang;
	}
	
	public static boolean set1(OntResource a){
		ressource1 = Resource.create(a, language1);
		return ressource1 != null;
	}
	
	public static boolean set2(OntResource b){
		ressource2 = Resource.create(b, language2);
		return ressource2 != null;
	}
	
	public static double match(){
		return Resource.match(ressource1, ressource2);
	}
	
	public static String getUri1(){
		return ressource1.getURI();
	}
	
	public static String getUri2(){
		return ressource2.getURI();
	}
}
